#ifndef DEVINFOTCPSERVER_H
#define DEVINFOTCPSERVER_H

#include <QObject>
#include <QTcpServer>
#include <QTcpSocket>
#include <QDateTime>
#include <QNetworkAccessManager>
#include <QNetworkRequest>
#include <QNetworkReply>
#include <QSslConfiguration>
#include <QVariant>
#include <QJsonDocument>
#include <QJsonObject>
#include <QJsonValue>
#include <QJsonArray>
#include <QJsonParseError>
#include <QCryptographicHash>

class DevInfoTcpServer : public QObject
{
    Q_OBJECT
public:
    explicit DevInfoTcpServer(QObject *parent = nullptr);
    void start();

signals:
    void tcp_log(QString log);
    void append_sql(QString sql);

public slots:
    void new_incomming();
    void read_data();
    void finishedSlot(QNetworkReply *reply);

private:
    QTcpServer *svr;
    QTcpSocket *so;

    QNetworkAccessManager *networkManager;
    QSslConfiguration config;

};

#endif // DEVINFOTCPSERVER_H
